Get Contact by Company Id
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| company_id | string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "fb608e62-c811-4f31-885f-b80708fb98e7",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "caa66f3d-dbb0-4a88-b600-709c8f564264",
"company_code": "sample string 5",
"company": {
"id": "7efe219c-462f-4cfb-b4c0-21c677418e93",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-24T07:10:08.9812608+00:00",
"sales_territory_id": "f50e1fe3-6458-4d6f-8312-1ce7dc9456e5",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2aacdc40-de31-44a8-9000-d4567290cea6",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "1270199d-e8d3-4bcd-8a01-0573c6a11a11",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "1335b9d4-286a-489c-9fb1-faed9b0b4d23",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e3ac4468-b8b5-4721-b9b9-a6bcb4b060df",
"db_currency_id": "624b4f70-fb77-4cdc-8d76-0107704a8f97",
"db_language_id": "969c0c0f-f97d-475a-8132-f454cafba92a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T07:10:08.9812608+00:00"
},
"modified_dateutc": "2026-10-24T07:10:08.9812608+00:00"
},
"marketing_segment_id": "df649b3f-2838-40fd-a1fd-67163c95bf0d",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "93cb5e85-a720-4113-87e0-7878fce92e74",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "10625709-b7f2-44c1-b829-c8072e4430e2",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "7dcf1ff0-8e9d-453e-b797-95d53654bbbe",
"db_country_code": "sample string 28",
"feelist_id": "5da6bd02-0bd8-498f-bbfc-989cae1ad5d1",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "11f904ac-980e-45ae-9744-41940fb245b2",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "4a3c4da4-a4f0-4782-92f5-53ee31b2cd14",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-24T07:10:08.9812608+00:00",
"db_currency_id": "47fd2a3d-5dd8-4d26-93f2-ced167cb4339",
"db_currency_code": "sample string 10"
},
"company_type_id": "f3e00d57-c76c-4921-8df8-19e898759a00",
"company_type_name": "sample string 32",
"company_type": {
"id": "465d0a40-8e27-4c85-bccb-47dfb885539e",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "05fa01c0-5aab-4f3c-a740-507ce16f0b99",
"sales_organization_code": "sample string 5"
},
"db_language_id": "79437d8b-eea6-449f-9d29-ba0f8e6afd5c",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "f45f8a8d-2e40-4a55-a713-2170b8b6ef9f",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "cc7bbdaa-63ed-4b8c-ac87-50933a48d15f",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "b3570681-ff00-444b-bdf0-430f32392928",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-24T07:10:08.9812608+00:00"
},
"company_sector_id": "e67efa62-5573-44ea-a8c5-80ea61bd76e1",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "2514702a-39bf-4104-b4d5-708b7c42179b",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "b057cd06-9f34-4303-b8c2-39c1c89119d1",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "dc64554c-249e-4175-8b43-30e5686cfc7b",
"account_manager_user_code": "sample string 56",
"company_status_id": "a003bd3d-e07c-4dd9-96eb-c5b510a37c1d",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-24T07:10:08.9812608+00:00",
"id2": 60
},
"db_language_id": "77e1a343-c76e-477f-9062-6aa8d03f9860",
"db_language_code": "sample string 7",
"db_title_id": "f3099311-b1ce-4968-9244-eec8f7009d1e",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-24T07:10:08.9812608+00:00",
"create_date": "2026-10-24T07:10:08.9812608+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-24T07:10:08.9812608+00:00"
}